Bug 207616 - [REPOCOPY] net-mgmt/zabbix24 -> zabbix3 (server/agent/frontend/proxy)
Summary: [REPOCOPY] net-mgmt/zabbix24 -> zabbix3 (server/agent/frontend/proxy)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 208029
  Show dependency treegraph
 
Reported: 2016-03-01 09:26 UTC by pg
Modified: 2016-03-15 16:10 UTC (History)
7 users (show)

See Also:


Attachments
shell archive (52.34 KB, application/x-shar)
2016-03-01 09:26 UTC, pg
pg: maintainer-approval+
Details
poudriere log of zabbix3-server (163.41 KB, text/x-log)
2016-03-01 09:26 UTC, pg
no flags Details
poudriere log of zabbix3-agent (66.40 KB, text/x-log)
2016-03-01 09:27 UTC, pg
no flags Details
poudriere log of zabbix3-proxy (158.47 KB, text/x-log)
2016-03-01 09:27 UTC, pg
no flags Details
poudriere log of zabbix3-frontend (25.66 KB, text/x-log)
2016-03-01 09:27 UTC, pg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pg 2016-03-01 09:26:00 UTC
Created attachment 167599 [details]
shell archive

Zabbix 3 is LTS version (All versions since 2.0.0 officially supported for 5 years)
Please REPOCOPY zabbix24 to zabbix3
Comment 1 pg 2016-03-01 09:26:53 UTC
Created attachment 167600 [details]
poudriere log of zabbix3-server
Comment 2 pg 2016-03-01 09:27:09 UTC
Created attachment 167601 [details]
poudriere log of zabbix3-agent
Comment 3 pg 2016-03-01 09:27:32 UTC
Created attachment 167602 [details]
poudriere log of zabbix3-proxy
Comment 4 pg 2016-03-01 09:27:54 UTC
Created attachment 167603 [details]
poudriere log of zabbix3-frontend
Comment 5 Martin Waschbüsch 2016-03-08 06:43:13 UTC
Just to let you know:
I've been running your zabbix3 port on a test box for three days.
Everything worked very well including the database upgrade.

Kudos!
Comment 6 Kevin Bowling freebsd_committer 2016-03-11 08:50:52 UTC
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=207896 is probably relevant here
Comment 7 Martin Waschbüsch 2016-03-14 07:49:53 UTC
I just noticed that there is no option to compile zabbix3-server, zabbix3-proxy or zabbix3-agent with TLS support.
Since one of the main new things about Zabbix 3 is encrypted communication between monitoring entities, perhaps we should adapt the Makefile to read like:



OPTIONS_DEFINE=         IPV6 FPING JABBER CURL LDAP IPMI SSH NMAP JAVAGW \
                        LIBXML2 OPENSSL
...

OPENSSL_DESC=           Support for SSL-encrypted communication

...

OPENSSL_CONFIGURE_WITH= openssl
OPENSSL_USE=            OPENSSL=yes


Apparently both mbed TLS (PolarSSL) and GnuTLS are also possible. But I am not familiar with those.
Comment 8 Mark Felder freebsd_committer 2016-03-15 13:49:41 UTC
Committed with minor changes, thanks!
Comment 9 Mark Felder freebsd_committer 2016-03-15 13:51:07 UTC
(In reply to Martin Waschbüsch from comment #7)

Martin, would you mind opening a separate PR for that? The current zabbix3 is functional, but I agree this feature should be exposed and it would be worth allowing the user to choose which TLS implementation they want to build against. That definitely goes beyond the scope of this repocopy PR.
Comment 10 commit-hook freebsd_committer 2016-03-15 15:20:31 UTC
A commit references this bug:

Author: feld
Date: Tue Mar 15 13:48:02 UTC 2016
New revision: 411162
URL: https://svnweb.freebsd.org/changeset/ports/411162

Log:
  net-mgmt/zabbix24 -> zabbix3

  Welcome zabbix3 to the ports tree

  PR:		207616

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/zabbix3-agent/
  head/net-mgmt/zabbix3-agent/Makefile
  head/net-mgmt/zabbix3-frontend/
  head/net-mgmt/zabbix3-frontend/Makefile
  head/net-mgmt/zabbix3-proxy/
  head/net-mgmt/zabbix3-proxy/Makefile
  head/net-mgmt/zabbix3-server/
  head/net-mgmt/zabbix3-server/Makefile
  head/net-mgmt/zabbix3-server/distinfo
  head/net-mgmt/zabbix3-server/files/pkg-message.in
  head/net-mgmt/zabbix3-server/pkg-plist.agent
  head/net-mgmt/zabbix3-server/pkg-plist.frontend